# Shares 1.10.0 Patch Level 2
**Operating Systems:** Linux

**Date:** 06/03/2024

This patch includes the following fix:

### Patch Level 2 Fixes
| Issue | Description                                                                                                    |
| ---------- |:--------------------------------------------------------------------------------------------------------- |
| AS-308     | Upgraded JRE to version `1.8.0_392` |

### Patch Level 1 Fixes
| Issue | Description                                                                                                    |
| ---------- |:--------------------------------------------------------------------------------------------------------- |
| AS-531     | Upgraded JQuery-UI to version 1.13.2 |

### KNOWN ISSUES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AS-360     | Unable to edit user status.                                                                     |

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:

1. Download and extract the patch file (`IBM_Aspera_Shares_1.10.0_Linux_Patch_Level_2.zip`).

2. Back up all the files in the (`/opt/aspera/shares/`) folder.

3. Stop the Shares service:

    ```
    service aspera-shares stop 
    ```

4. Run the following command to replace existing files with patch files:

    `Important: The file path"<path/to/patch/folder>/IBM_Aspera_Shares_1.10.0_Linux_Patch_Level_2/src/" is the equivalent of <patch_path> in the command.`

    ```
    /bin/cp -r <patch_path>* /opt/aspera/shares/u/shares/
    ```

5. Run the following command to replace existing JRE with stable `1.8.0_392`:

    `Important: The file path"<path/to/patch/folder>/IBM_Aspera_Shares_1.10.0_Linux_Patch_Level_2/lib/jre" is the equivalent of <patch_path> in the command.`

    ```
    /bin/rm -rf /opt/aspera/shares/lib/jre
    /bin/cp -r <patch_path> /opt/aspera/shares/lib/
    ```

6. Run the following command to remove the previous version of JQuery-UI **(Optional)**:

    ```
    rm -rf /opt/aspera/shares/u/shares/public/javascripts/third-party/jquery-ui-1.12.1
    ```

7. Restart the Shares service:

    ```
    service aspera-shares restart 
    ```

8. Check the patch level number listed in the footer to confirm the patch was installed correctly. (beneath the version number).

© IBM Aspera. Copyright IBM Corp. 2009, 2024    
